ENV["LC_ALL"] = "en_US.UTF-8"

COUNT = 1

VCPU = 2
VMEM = 2048
NETWORK = "192.168.60.9"

Vagrant.configure("2") do |config|
    config.vm.box = "proxmox"

    (1..COUNT).each do |i|
        config.vm.define "proxmox-#{i}" do |machine|
            machine.vm.hostname = "proxmox-#{i}"
            machine.vm.provider "virtualbox" do |v|
                v.cpus = VCPU
                v.memory = VMEM
                v.customize ["modifyvm", :id, "--nested-hw-virt", "on"]
                v.customize ["modifyvm", :id, "--nestedpaging", "on"]
                v.customize ["modifyvm", :id, "--vtxux", "on"]
            end
            machine.vm.network :private_network, ip: "#{NETWORK}#{i}", auto_config: true
        end
    end
end